import { TypedSopNode } from './_Base';
import { NodeParamsConfig } from '../utils/params/ParamsConfig';
import { CoreGroup } from '../../../core/geometry/Group';
declare class BboxScatterSopParamsConfig extends NodeParamsConfig {
    /** @param the smaller the step size, the more points this will create */
    stepSize: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.FLOAT>;
}
export declare class BboxScatterSopNode extends TypedSopNode<BboxScatterSopParamsConfig> {
    params_config: BboxScatterSopParamsConfig;
    static type(): string;
    static displayedInputNames(): string[];
    initializeNode(): void;
    cook(input_contents: CoreGroup[]): void;
}
export {};
